ICU 76.1: Data Fields - Functions

ICU 76.1 76.1

Here is a list of all documented functions with links to the struct/union documentation for each field:

### - g -

- get() : icu::Calendar, icu::Char16Ptr, icu::ConstChar16Ptr, icu::ErrorCode, icu::ResourceBundle
- get2DigitYearStart() : icu::SimpleDateFormat
- getAcre() : icu::MeasureUnit
- getAcreFoot() : icu::MeasureUnit
- getActualMaximum() : icu::Calendar, icu::GregorianCalendar
- getActualMinimum() : icu::Calendar, icu::GregorianCalendar
- getAffixImpl() : icu::number::LocalizedNumberFormatter
- getAlias() : icu::LocalPointerBase< T >
- getAllFieldPositionsImpl() : icu::number::FormattedNumber
- getAllKeywordValues() : icu::PluralRules
- getAmpere() : icu::MeasureUnit
- getAmPmStrings() : icu::DateFormatSymbols
- getApostropheMode() : icu::MessageFormat, icu::MessagePattern
- GetAppendBuffer() : icu::ByteSink, icu::CheckedArrayByteSink
- getAppendItemFormat() : icu::DateTimePatternGenerator
- getAppendItemName() : icu::DateTimePatternGenerator
- getArcMinute() : icu::MeasureUnit
- getArcSecond() : icu::MeasureUnit
- getArgType() : icu::MessagePattern::Part
- getArgTypeCount() : icu::MessageFormat
- getArgumentLimit() : icu::SimpleFormatter
- getArray() : icu::Formattable, icu::message2::Formattable
- getAscent() : icu::ParagraphLayout, icu::ParagraphLayout::Line, icu::ParagraphLayout::VisualRun
- getAstronomicalUnit() : icu::MeasureUnit
- getAtmosphere() : icu::MeasureUnit
- getAttribute() : icu::Collator, icu::DecimalFormat, icu::RuleBasedCollator, icu::SearchIterator
- getAttributes() : icu::message2::data_model::Expression, icu::message2::data_model::Markup
- getAvailable() : icu::MeasureUnit, icu::Region
- getAvailableID() : icu::Transliterator
- getAvailableIDs() : icu::Transliterator
- getAvailableLocales() : icu::BreakIterator, icu::Calendar, icu::Collator, icu::DateFormat, icu::Locale, icu::NumberFormat, icu::PluralRules
- getAvailableMetaZoneIDs() : icu::TimeZoneNames
- getAvailableNames() : icu::NumberingSystem
- getAvailableSource() : icu::Transliterator
- getAvailableTarget() : icu::Transliterator
- getAvailableTypes() : icu::MeasureUnit
- getAvailableVariant() : icu::Transliterator
- getBar() : icu::MeasureUnit
- getBarrel() : icu::MeasureUnit
- getBaseName() : icu::Locale
- getBaseSkeleton() : icu::DateTimePatternGenerator
- getBaseSkeletons() : icu::DateTimePatternGenerator
- getBeaufort() : icu::MeasureUnit
- getBeginIndex() : icu::FieldPosition
- getBestMatch() : icu::LocaleMatcher
- getBestMatchForListString() : icu::LocaleMatcher
- getBestMatchResult() : icu::LocaleMatcher
- getBestPattern() : icu::DateFormat, icu::DateTimePatternGenerator
- getBinary() : icu::ResourceBundle
- getBinaryRules() : icu::RuleBasedBreakIterator
- getBit() : icu::MeasureUnit
- getBooleanAttribute() : icu::DateFormat
- getBound() : icu::Collator
- getBreakIterator() : icu::SearchIterator
- getBritishThermalUnit() : icu::MeasureUnit
- getBucket() : icu::AlphabeticIndex::ImmutableIndex
- getBucketCount() : icu::AlphabeticIndex, icu::AlphabeticIndex::ImmutableIndex
- getBucketIndex() : icu::AlphabeticIndex, icu::AlphabeticIndex::ImmutableIndex
- getBucketLabel() : icu::AlphabeticIndex
- getBucketLabelType() : icu::AlphabeticIndex
- getBucketRecordCount() : icu::AlphabeticIndex
- getBuffer() : icu::UnicodeString
- getBushel() : icu::MeasureUnit
- getByte() : icu::MeasureUnit
- getByteArray() : icu::CollationKey
- getCalendar() : icu::DateFormat
- getCalendarTypeFromLocale() : icu::Calendar
- getCallCount() : icu::number::LocalizedNumberFormatter
- getCalorie() : icu::MeasureUnit
- getCanada() : icu::Locale
- getCanadaFrench() : icu::Locale
- getCandela() : icu::MeasureUnit
- getCanonicalID() : icu::TimeZone
- getCapacity() : icu::UnicodeString
- getCapitalization() : icu::DisplayOptions
- getCapitalizationContext() : icu::RelativeDateTimeFormatter
- getCarat() : icu::MeasureUnit
- getCategory() : icu::ConstrainedFieldPosition
- getCelsius() : icu::MeasureUnit
- getCentiliter() : icu::MeasureUnit
- getCentimeter() : icu::MeasureUnit
- getCentury() : icu::MeasureUnit
- getChar32At() : icu::Replaceable, icu::UnicodeString
- getChar32Limit() : icu::UnicodeString
- getChar32Start() : icu::UnicodeString
- getCharAt() : icu::Replaceable, icu::UnicodeString
- getChina() : icu::Locale
- getChinese() : icu::Locale
- getClosures() : icu::ChoiceFormat
- getCoarseChangesIterator() : icu::Edits
- getCoarseIterator() : icu::Edits
- getCodepoint() : icu::UnicodeSetIterator
- getCodepointEnd() : icu::UnicodeSetIterator
- getCodePointZero() : icu::DecimalFormatSymbols
- getCollationKey() : icu::Collator, icu::RuleBasedCollator
- getCollator() : icu::AlphabeticIndex, icu::StringSearch
- getCombiningClass() : icu::FilteredNormalizer2, icu::Normalizer2
- getCompiled() : icu::number::LocalizedNumberFormatter
- getComplexity() : icu::MeasureUnit
- getConstDigitSymbol() : icu::DecimalFormatSymbols
- getConstSymbol() : icu::DecimalFormatSymbols
- getContainedRegions() : icu::Region
- getContainingRegion() : icu::Region
- getContext() : icu::DateFormat, icu::DateIntervalFormat, icu::LocaleDisplayNames, icu::NumberFormat
- getCount() : icu::RunArray
- getCountry() : icu::Locale
- getCubicCentimeter() : icu::MeasureUnit
- getCubicFoot() : icu::MeasureUnit
- getCubicInch() : icu::MeasureUnit
- getCubicKilometer() : icu::MeasureUnit
- getCubicMeter() : icu::MeasureUnit
- getCubicMile() : icu::MeasureUnit
- getCubicYard() : icu::MeasureUnit
- getCup() : icu::MeasureUnit
- getCupMetric() : icu::MeasureUnit
- getCurrency() : icu::CurrencyAmount, icu::NumberFormat
- getCurrencyFormatInternal() : icu::MeasureFormat
- getCurrencyPattern() : icu::DecimalFormatSymbols
- getCurrencyPluralInfo() : icu::DecimalFormat
- getCurrencyPluralPattern() : icu::CurrencyPluralInfo
- getCurrencyUsage() : icu::DecimalFormat
- getDalton() : icu::MeasureUnit
- getDataModel() : icu::message2::MessageFormatter
- getDate() : icu::Formattable, icu::message2::Formattable
- getDateFormat() : icu::DateIntervalFormat
- getDateFormatSymbols() : icu::SimpleDateFormat
- getDateIntervalInfo() : icu::DateIntervalFormat
- getDateRuleType() : icu::DateTimeRule
- getDateTimeFormat() : icu::DateTimePatternGenerator
- getDay() : icu::MeasureUnit
- getDayOfWeekType() : icu::Calendar
- getDayPerson() : icu::MeasureUnit
- getDecade() : icu::MeasureUnit
- getDeciliter() : icu::MeasureUnit
- getDecimal() : icu::DateTimePatternGenerator
- getDecimalFormatSymbols() : icu::DecimalFormat, icu::number::impl::SymbolsWrapper, icu::number::LocalizedNumberFormatter
- getDecimalNumber() : icu::Formattable
- getDecimalNumbers() : icu::number::FormattedNumberRange
- getDecimalQuantity() : icu::Formattable, icu::number::FormattedNumber
- getDecimeter() : icu::MeasureUnit
- getDecomposition() : icu::FilteredNormalizer2, icu::Normalizer2
- getDefault() : icu::Locale
- getDefaultDayInMonth() : icu::Calendar
- getDefaultFormatterNameByType() : icu::message2::MFFunctionRegistry
- getDefaultHourCycle() : icu::DateTimePatternGenerator
- getDefaultMonthInYear() : icu::Calendar
- getDefaultOrder() : icu::DateIntervalInfo
- getDefaultParseOptions() : icu::TimeZoneFormat
- getDefaultRuleSetName() : icu::RuleBasedNumberFormat
- getDegree() : icu::MeasureUnit
- getDescent() : icu::ParagraphLayout, icu::ParagraphLayout::Line, icu::ParagraphLayout::VisualRun
- getDescription() : icu::NumberingSystem
- getDesiredIndex() : icu::LocaleMatcher::Result
- getDesiredLocale() : icu::LocaleMatcher::Result
- getDessertSpoon() : icu::MeasureUnit
- getDessertSpoonImperial() : icu::MeasureUnit
- getDialectHandling() : icu::LocaleDisplayNames
- getDimensionality() : icu::MeasureUnit
- getDirection() : icu::ParagraphLayout::VisualRun
- getDisplayCountry() : icu::Locale
- getDisplayLanguage() : icu::Locale
- getDisplayLength() : icu::DisplayOptions
- getDisplayName() : icu::BreakIterator, icu::Collator, icu::CollatorFactory, icu::Locale, icu::TimeZone, icu::TimeZoneNames, icu::Transliterator
- getDisplayNames() : icu::TimeZoneNames
- getDisplayScript() : icu::Locale
- getDisplayVariant() : icu::Locale
- getDot() : icu::MeasureUnit
- getDotPerCentimeter() : icu::MeasureUnit
- getDotPerInch() : icu::MeasureUnit
- getDouble() : icu::Formattable, icu::message2::Formattable
- getDram() : icu::MeasureUnit
- getDrop() : icu::MeasureUnit
- getDSTSavings() : icu::SimpleTimeZone, icu::TimeZone, icu::TimeZoneRule
- getDunam() : icu::MeasureUnit
- getDynamicClassID() : icu::AnnualTimeZoneRule, icu::BreakIterator, icu::Calendar, icu::CanonicalIterator, icu::ChoiceFormat, icu::CollationElementIterator, icu::CollationKey, icu::Collator, icu::CompactDecimalFormat, icu::CurrencyAmount, icu::CurrencyPluralInfo, icu::CurrencyUnit, icu::DateFormatSymbols, icu::DateInterval, icu::DateIntervalFormat, icu::DateIntervalInfo, icu::DateTimePatternGenerator, icu::DateTimeRule, icu::DecimalFormat, icu::DecimalFormatSymbols, icu::FieldPosition, icu::FontRuns, icu::Formattable, icu::ForwardCharacterIterator, icu::GregorianCalendar, icu::InitialTimeZoneRule, icu::Locale, icu::LocaleRuns, icu::Measure, icu::MeasureFormat, icu::MeasureUnit, icu::MessageFormat, icu::Normalizer, icu::NumberFormat, icu::NumberingSystem, icu::ParagraphLayout, icu::ParagraphLayout::Line, icu::ParagraphLayout::VisualRun, icu::ParsePosition, icu::PluralFormat, icu::PluralRules, icu::RegexMatcher, icu::RegexPattern, icu::ResourceBundle, icu::RuleBasedBreakIterator, icu::RuleBasedCollator, icu::RuleBasedNumberFormat, icu::RuleBasedTimeZone, icu::RunArray, icu::SelectFormat, icu::SimpleDateFormat, icu::SimpleTimeZone, icu::StringCharacterIterator, icu::StringSearch, icu::TimeArrayTimeZoneRule, icu::TimeUnit, icu::TimeUnitAmount, icu::TimeUnitFormat, icu::TimeZone, icu::TimeZoneFormat, icu::TimeZoneTransition, icu::Transliterator, icu::UCharCharacterIterator, icu::UnicodeFunctor, icu::UnicodeSet, icu::UnicodeSetIterator, icu::UnicodeString, icu::UObject, icu::ValueRuns, icu::VTimeZone
- getEarthMass() : icu::MeasureUnit
- getEarthRadius() : icu::MeasureUnit
- getEffectiveCurrency() : icu::NumberFormat
- getElectronvolt() : icu::MeasureUnit
- getElement() : icu::Transliterator
- getEm() : icu::MeasureUnit
- getEndIndex() : icu::FieldPosition
- getEndYear() : icu::AnnualTimeZoneRule
- getEnglish() : icu::Locale
- getEpochDay() : icu::GregorianCalendar
- getEquivalentID() : icu::TimeZone
- getEquivalentReorderCodes() : icu::Collator
- getEraNames() : icu::DateFormatSymbols
- getEras() : icu::DateFormatSymbols
- getErrorIndex() : icu::ParsePosition
- getErrors() : icu::IDNAInfo
- getExemplarLocationName() : icu::TimeZoneNames
- getFahrenheit() : icu::MeasureUnit
- getFallback() : icu::message2::FormattedPlaceholder
- getFallbackIntervalPattern() : icu::DateIntervalInfo
- getFathom() : icu::MeasureUnit
- getField() : icu::ConstrainedFieldPosition, icu::FieldPosition
- getFieldDisplayName() : icu::DateTimePatternGenerator
- getFieldResolutionTable() : icu::Calendar
- getFilter() : icu::Transliterator
- getFinalStart() : icu::AnnualTimeZoneRule, icu::InitialTimeZoneRule, icu::TimeArrayTimeZoneRule, icu::TimeZoneRule
- getFindProgressCallback() : icu::RegexMatcher
- getFineChangesIterator() : icu::Edits
- getFineIterator() : icu::Edits
- getFirstDayOfWeek() : icu::Calendar
- getFirstStart() : icu::AnnualTimeZoneRule, icu::InitialTimeZoneRule, icu::TimeArrayTimeZoneRule, icu::TimeZoneRule
- getFluidOunce() : icu::MeasureUnit
- getFluidOunceImperial() : icu::MeasureUnit
- getFont() : icu::FontRuns, icu::ParagraphLayout::VisualRun
- getFoodcalorie() : icu::MeasureUnit
- getFoot() : icu::MeasureUnit
- getFormat() : icu::MessageFormat
- getFormatNames() : icu::MessageFormat
- getFormats() : icu::ChoiceFormat, icu::MessageFormat
- getFormatStyle() : icu::RelativeDateTimeFormatter
- getFormatter() : icu::message2::MFFunctionRegistry
- getFormatWidth() : icu::DecimalFormat
- getFrance() : icu::Locale
- getFrench() : icu::Locale
- getFrom() : icu::TimeZoneTransition
- getFromDate() : icu::DateInterval
- getFunctionalEquivalent() : icu::Collator
- getFunctionName() : icu::message2::data_model::Operator
- getFurlong() : icu::MeasureUnit
- getGallon() : icu::MeasureUnit
- getGallonImperial() : icu::MeasureUnit
- getGasolineEnergyDensity() : icu::MeasureUnit
- getGenericTemperature() : icu::MeasureUnit
- getGerman() : icu::Locale
- getGermany() : icu::Locale
- getGForce() : icu::MeasureUnit
- getGigabit() : icu::MeasureUnit
- getGigabyte() : icu::MeasureUnit
- getGigahertz() : icu::MeasureUnit
- getGigawatt() : icu::MeasureUnit
- getGlyphCount() : icu::ParagraphLayout::VisualRun
- getGlyphs() : icu::ParagraphLayout::VisualRun
- getGlyphToCharMap() : icu::ParagraphLayout::VisualRun
- getGMT() : icu::TimeZone
- getGMTOffsetDigits() : icu::TimeZoneFormat
- getGMTOffsetPattern() : icu::TimeZoneFormat
- getGMTPattern() : icu::TimeZoneFormat
- getGMTZeroFormat() : icu::TimeZoneFormat
- getGrain() : icu::MeasureUnit
- getGram() : icu::MeasureUnit
- getGrammaticalCase() : icu::DisplayOptions
- getGreatestMinimum() : icu::Calendar
- getGregorianChange() : icu::GregorianCalendar
- getGregorianDayOfMonth() : icu::Calendar
- getGregorianDayOfYear() : icu::Calendar
- getGregorianMonth() : icu::Calendar
- getGregorianYear() : icu::Calendar
- getGroupingSize() : icu::DecimalFormat
- getHectare() : icu::MeasureUnit
- getHectoliter() : icu::MeasureUnit
- getHectopascal() : icu::MeasureUnit
- getHertz() : icu::MeasureUnit
- getHorsepower() : icu::MeasureUnit
- getHour() : icu::MeasureUnit
- getIanaID() : icu::TimeZone
- getID() : icu::TimeZone, icu::Transliterator
- getIdentifier() : icu::MeasureUnit
- getIdentityResult() : icu::number::FormattedNumberRange
- getIDForWindowsID() : icu::TimeZone
- getInch() : icu::MeasureUnit
- getInchHg() : icu::MeasureUnit
- getIndex() : icu::CharacterIterator, icu::MessagePattern::Part, icu::Normalizer, icu::ParsePosition
- getInflowLabel() : icu::AlphabeticIndex
- getInput() : icu::RegexMatcher
- getInstance() : icu::GenderInfo, icu::Normalizer2, icu::Region
- getInt() : icu::ResourceBundle
- getInt64() : icu::Formattable, icu::message2::Formattable
- getInt64IterationContext() : icu::ConstrainedFieldPosition
- getInt64Value() : icu::message2::Formattable
- getIntervalPattern() : icu::DateIntervalInfo
- getIntVector() : icu::ResourceBundle
- getISO3Country() : icu::Locale
- getISO3Language() : icu::Locale
- getISOCountries() : icu::Locale
- getISOCurrency() : icu::CurrencyAmount, icu::CurrencyUnit
- getISOLanguages() : icu::Locale
- getItalian() : icu::Locale
- getItaly() : icu::Locale
- getItem() : icu::MeasureUnit
- getJapan() : icu::Locale
- getJapanese() : icu::Locale
- getJigger() : icu::MeasureUnit
- getJoule() : icu::MeasureUnit
- getKarat() : icu::MeasureUnit
- getKelvin() : icu::MeasureUnit
- getKey() : icu::ResourceBundle
- getKeys() : icu::message2::data_model::SelectorKeys, icu::message2::data_model::Variant
- getKeywordOther() : icu::PluralRules
- getKeywords() : icu::Collator, icu::Locale, icu::PluralRules
- getKeywordValue() : icu::Locale
- getKeywordValues() : icu::Collator
- getKeywordValuesForLocale() : icu::Calendar, icu::Collator
- getKilobit() : icu::MeasureUnit
- getKilobyte() : icu::MeasureUnit
- getKilocalorie() : icu::MeasureUnit
- getKilogram() : icu::MeasureUnit
- getKilohertz() : icu::MeasureUnit
- getKilojoule() : icu::MeasureUnit
- getKilometer() : icu::MeasureUnit
- getKilometerPerHour() : icu::MeasureUnit
- getKilopascal() : icu::MeasureUnit
- getKilowatt() : icu::MeasureUnit
- getKilowattHour() : icu::MeasureUnit
- getKilowattHourPer100Kilometer() : icu::MeasureUnit
- getKnot() : icu::MeasureUnit
- getKorea() : icu::Locale
- getKorean() : icu::Locale
- getLabel() : icu::AlphabeticIndex::Bucket
- getLabelType() : icu::AlphabeticIndex::Bucket
- getLanguage() : icu::Locale
- getLastModified() : icu::VTimeZone
- getLCID() : icu::Locale
- getLeading() : icu::ParagraphLayout, icu::ParagraphLayout::Line, icu::ParagraphLayout::VisualRun
- getLeapMonthPatterns() : icu::DateFormatSymbols
- getLeastMaximum() : icu::Calendar
- getLength() : icu::CharacterIterator, icu::MessagePattern::Part, icu::Replaceable, icu::UnicodeString
- getLightSpeed() : icu::MeasureUnit
- getLightYear() : icu::MeasureUnit
- getLimit() : icu::Calendar, icu::ConstrainedFieldPosition, icu::MessagePattern::Part, icu::RunArray
- getLimitPartIndex() : icu::MessagePattern
- getLimits() : icu::ChoiceFormat
- getListGender() : icu::GenderInfo
- getLiter() : icu::MeasureUnit
- getLiterPer100Kilometers() : icu::MeasureUnit
- getLiterPerKilometer() : icu::MeasureUnit
- getLocalDOW() : icu::Calendar
- getLocale() : icu::BreakIterator, icu::Calendar, icu::Collator, icu::CurrencyPluralInfo, icu::DateFormatSymbols, icu::DecimalFormatSymbols, icu::Format, icu::LocaleDisplayNames, icu::LocaleRuns, icu::MeasureFormat, icu::message2::MessageFormatter, icu::MessageFormat, icu::ResourceBundle, icu::RuleBasedCollator
- getLocaleID() : icu::BreakIterator, icu::Calendar, icu::Format, icu::MeasureFormat
- getLocalPatternChars() : icu::DateFormatSymbols
- getLocalVariables() : icu::message2::MFDataModel
- getLong() : icu::Formattable, icu::message2::Formattable
- getLumen() : icu::MeasureUnit
- getLux() : icu::MeasureUnit
- getMatchCallback() : icu::RegexMatcher
- getMatchedLength() : icu::SearchIterator
- getMatchedStart() : icu::SearchIterator
- getMatchedText() : icu::SearchIterator
- getMatchLengthAt() : icu::TimeZoneNames::MatchInfoCollection
- getMaxExpansion() : icu::CollationElementIterator, icu::RuleBasedCollator
- getMaximum() : icu::Calendar
- getMaximumContextLength() : icu::Transliterator
- getMaximumFractionDigits() : icu::NumberFormat
- getMaximumIntegerDigits() : icu::NumberFormat
- getMaximumSignificantDigits() : icu::DecimalFormat
- getMaxLabelCount() : icu::AlphabeticIndex
- getMaxVariable() : icu::Collator, icu::RuleBasedCollator
- getMegabit() : icu::MeasureUnit
- getMegabyte() : icu::MeasureUnit
- getMegahertz() : icu::MeasureUnit
- getMegaliter() : icu::MeasureUnit
- getMegapascal() : icu::MeasureUnit
- getMegapixel() : icu::MeasureUnit
- getMegawatt() : icu::MeasureUnit
- getMetaZoneDisplayName() : icu::TimeZoneNames
- getMetaZoneID() : icu::TimeZoneNames
- getMetaZoneIDAt() : icu::TimeZoneNames::MatchInfoCollection
- getMeter() : icu::MeasureUnit
- getMeterPerSecond() : icu::MeasureUnit
- getMeterPerSecondSquared() : icu::MeasureUnit
- getMetricTon() : icu::MeasureUnit
- getMicrogram() : icu::MeasureUnit
- getMicrometer() : icu::MeasureUnit
- getMicrosecond() : icu::MeasureUnit
- getMile() : icu::MeasureUnit
- getMilePerGallon() : icu::MeasureUnit
- getMilePerGallonImperial() : icu::MeasureUnit
- getMilePerHour() : icu::MeasureUnit
- getMileScandinavian() : icu::MeasureUnit
- getMilliampere() : icu::MeasureUnit
- getMillibar() : icu::MeasureUnit
- getMilligram() : icu::MeasureUnit
- getMilligramOfglucosePerDeciliter() : icu::MeasureUnit
- getMilligramPerDeciliter() : icu::MeasureUnit
- getMilliliter() : icu::MeasureUnit
- getMillimeter() : icu::MeasureUnit
- getMillimeterOfMercury() : icu::MeasureUnit
- getMillimolePerLiter() : icu::MeasureUnit
- getMillisecond() : icu::MeasureUnit
- getMilliwatt() : icu::MeasureUnit
- getMinimalDaysInFirstWeek() : icu::Calendar
- getMinimum() : icu::Calendar
- getMinimumExponentDigits() : icu::DecimalFormat
- getMinimumFractionDigits() : icu::NumberFormat
- getMinimumGroupingDigits() : icu::DecimalFormat
- getMinimumIntegerDigits() : icu::NumberFormat
- getMinimumSignificantDigits() : icu::DecimalFormat
- getMinute() : icu::MeasureUnit
- getMole() : icu::MeasureUnit
- getMonth() : icu::MeasureUnit
- getMonthPerson() : icu::MeasureUnit
- getMonths() : icu::DateFormatSymbols
- getMultiplier() : icu::DecimalFormat
- getMultiplierScale() : icu::DecimalFormat
- getName() : icu::Locale, icu::message2::data_model::Markup, icu::message2::data_model::Option, icu::NumberingSystem, icu::ResourceBundle, icu::TimeZoneRule
- getNameStyle() : icu::DisplayOptions
- getNameTypeAt() : icu::TimeZoneNames::MatchInfoCollection
- getNanometer() : icu::MeasureUnit
- getNanosecond() : icu::MeasureUnit
- getNarrowEras() : icu::DateFormatSymbols
- getNauticalMile() : icu::MeasureUnit
- getNegativePrefix() : icu::DecimalFormat
- getNegativeSuffix() : icu::DecimalFormat
- getNewton() : icu::MeasureUnit
- getNewtonMeter() : icu::MeasureUnit
- getNext() : icu::ResourceBundle
- getNextBytes() : icu::BytesTrie
- getNextStart() : icu::AnnualTimeZoneRule, icu::InitialTimeZoneRule, icu::TimeArrayTimeZoneRule, icu::TimeZoneRule
- getNextString() : icu::ResourceBundle
- getNextTransition() : icu::BasicTimeZone, icu::RuleBasedTimeZone, icu::SimpleTimeZone, icu::VTimeZone
- getNextUChars() : icu::UCharsTrie
- getNFCInstance() : icu::Normalizer2
- getNFDInstance() : icu::Normalizer2
- getNFKCCasefoldInstance() : icu::Normalizer2
- getNFKCInstance() : icu::Normalizer2
- getNFKCSimpleCasefoldInstance() : icu::Normalizer2
- getNFKDInstance() : icu::Normalizer2
- getNight() : icu::MeasureUnit
- getNormalizedPattern() : icu::message2::MessageFormatter
- getNounClass() : icu::DisplayOptions, icu::number::FormattedNumber
- getNow() : icu::Calendar
- getNumber() : icu::Measure, icu::message2::FormattedValue
- getNumberFormat() : icu::DateFormat, icu::RelativeDateTimeFormatter
- getNumberFormatForField() : icu::SimpleDateFormat
- getNumberFormatInternal() : icu::MeasureFormat
- getNumberingSystem() : icu::number::impl::SymbolsWrapper
- getNumberingSystemName() : icu::DecimalFormatSymbols
- getNumberOfRuleSetDisplayNameLocales() : icu::RuleBasedNumberFormat
- getNumberOfRuleSetNames() : icu::RuleBasedNumberFormat
- getNumericCode() : icu::Region
- getNumericValue() : icu::MessagePattern
- getObject() : icu::Formattable, icu::message2::Formattable
- getOffset() : icu::CollationElementIterator, icu::MeasureUnit, icu::RuleBasedTimeZone, icu::SearchIterator, icu::SimpleTimeZone, icu::StringSearch, icu::TimeZone, icu::VTimeZone
- getOffsetFromLocal() : icu::BasicTimeZone, icu::RuleBasedTimeZone, icu::SimpleTimeZone, icu::VTimeZone
- getOhm() : icu::MeasureUnit
- getOperand() : icu::message2::data_model::Expression
- getOperator() : icu::message2::data_model::Expression
- getOption() : icu::Normalizer
- getOptions() : icu::message2::data_model::Markup, icu::message2::data_model::Operator, icu::message2::FunctionOptions
- getOunce() : icu::MeasureUnit
- getOunceTroy() : icu::MeasureUnit
- getOutputUnit() : icu::number::FormattedNumber
- getOverflowLabel() : icu::AlphabeticIndex
- getPadCharacterString() : icu::DecimalFormat
- getPadPosition() : icu::DecimalFormat
- getParagraphLevel() : icu::ParagraphLayout
- getParsec() : icu::MeasureUnit
- getPart() : icu::MessagePattern
- getPartPerMillion() : icu::MeasureUnit
- getPartType() : icu::MessagePattern
- getPascal() : icu::MeasureUnit
- getPattern() : icu::message2::data_model::Variant, icu::message2::MessageFormatter, icu::message2::MFDataModel, icu::StringSearch
- getPatternForCurrencySpacing() : icu::DecimalFormatSymbols
- getPatternForSkeleton() : icu::DateTimePatternGenerator
- getPatternIndex() : icu::MessagePattern
- getPatternString() : icu::MessagePattern
- getPatternUChars() : icu::DateFormatSymbols
- getPercent() : icu::MeasureUnit
- getPermille() : icu::MeasureUnit
- getPermyriad() : icu::MeasureUnit
- getPetabyte() : icu::MeasureUnit
- getPicometer() : icu::MeasureUnit
- getPinch() : icu::MeasureUnit
- getPint() : icu::MeasureUnit
- getPintMetric() : icu::MeasureUnit
- getPixel() : icu::MeasureUnit
- getPixelPerCentimeter() : icu::MeasureUnit
- getPixelPerInch() : icu::MeasureUnit
- getPluralCategory() : icu::DisplayOptions
- getPluralOffset() : icu::MessagePattern
- getPluralRules() : icu::CurrencyPluralInfo, icu::MeasureFormat
- getPoint() : icu::MeasureUnit
- getPositions() : icu::ParagraphLayout::VisualRun
- getPositivePrefix() : icu::DecimalFormat
- getPositiveSuffix() : icu::DecimalFormat
- getPound() : icu::MeasureUnit
- getPoundFoot() : icu::MeasureUnit
- getPoundForce() : icu::MeasureUnit
- getPoundPerSquareInch() : icu::MeasureUnit
- getPRC() : icu::Locale
- getPreferredValues() : icu::Region
- getPrefix() : icu::MeasureUnit
- getPreviousStart() : icu::AnnualTimeZoneRule, icu::InitialTimeZoneRule, icu::TimeArrayTimeZoneRule, icu::TimeZoneRule
- getPreviousTransition() : icu::BasicTimeZone, icu::RuleBasedTimeZone, icu::SimpleTimeZone, icu::VTimeZone
- getPrimary() : icu::number::impl::Grouper
- getQuart() : icu::MeasureUnit
- getQuarter() : icu::MeasureUnit
- getQuarters() : icu::DateFormatSymbols
- getQuartImperial() : icu::MeasureUnit
- getRadian() : icu::MeasureUnit
- getRadix() : icu::NumberingSystem
- getRangeCount() : icu::UnicodeSet
- getRangeEnd() : icu::UnicodeSet
- getRangeStart() : icu::UnicodeSet
- getRawDecomposition() : icu::FilteredNormalizer2, icu::Normalizer2
- getRawOffset() : icu::RuleBasedTimeZone, icu::SimpleTimeZone, icu::TimeZone, icu::TimeZoneRule, icu::VTimeZone
- getRecordCount() : icu::AlphabeticIndex
- getRecordData() : icu::AlphabeticIndex
- getRecordName() : icu::AlphabeticIndex
- getRedundants() : icu::DateTimePatternGenerator
- getReferenceZoneID() : icu::TimeZoneNames
- getRegion() : icu::TimeZone
- getRegionCode() : icu::Region
- getRelatedYear() : icu::Calendar
- getReorderCodes() : icu::Collator, icu::RuleBasedCollator
- getRepeatedWallTimeOption() : icu::Calendar
- getRevolutionAngle() : icu::MeasureUnit
- getRoot() : icu::Locale
- getRoundingIncrement() : icu::DecimalFormat
- getRoundingMode() : icu::DecimalFormat, icu::NumberFormat, icu::RuleBasedNumberFormat
- getRule() : icu::AnnualTimeZoneRule
- getRuleDayOfMonth() : icu::DateTimeRule
- getRuleDayOfWeek() : icu::DateTimeRule
- getRuleMillisInDay() : icu::DateTimeRule
- getRuleMonth() : icu::DateTimeRule
- getRules() : icu::PluralRules, icu::RuleBasedBreakIterator, icu::RuleBasedCollator, icu::RuleBasedNumberFormat
- getRuleSetDisplayName() : icu::RuleBasedNumberFormat
- getRuleSetDisplayNameLocale() : icu::RuleBasedNumberFormat
- getRuleSetName() : icu::RuleBasedNumberFormat
- getRuleStatus() : icu::BreakIterator, icu::RuleBasedBreakIterator
- getRuleStatusVec() : icu::BreakIterator, icu::RuleBasedBreakIterator
- getRuleWeekInMonth() : icu::DateTimeRule
- getSamples() : icu::PluralRules
- getScript() : icu::Locale
- getSecond() : icu::MeasureUnit
- getSecondary() : icu::number::impl::Grouper
- getSecondaryGroupingSize() : icu::DecimalFormat
- getSelector() : icu::message2::MFFunctionRegistry
- getSelectors() : icu::message2::MFDataModel
- getShortMonths() : icu::DateFormatSymbols
- getShortWeekdays() : icu::DateFormatSymbols
- getSimpleRulesNear() : icu::BasicTimeZone
- getSimplifiedChinese() : icu::Locale
- getSize() : icu::ResourceBundle
- getSkeleton() : icu::DateTimePatternGenerator
- getSkeletons() : icu::DateTimePatternGenerator
- getSkippedWallTimeOption() : icu::Calendar
- getSmpFmtLocale() : icu::SimpleDateFormat
- getSolarLuminosity() : icu::MeasureUnit
- getSolarMass() : icu::MeasureUnit
- getSolarRadius() : icu::MeasureUnit
- getSortKey() : icu::Collator, icu::RuleBasedCollator
- getSource() : icu::CanonicalIterator
- getSourceSet() : icu::Transliterator
- getSquareCentimeter() : icu::MeasureUnit
- getSquareFoot() : icu::MeasureUnit
- getSquareInch() : icu::MeasureUnit
- getSquareKilometer() : icu::MeasureUnit
- getSquareMeter() : icu::MeasureUnit
- getSquareMile() : icu::MeasureUnit
- getSquareYard() : icu::MeasureUnit
- getStackLimit() : icu::RegexMatcher
- getStart() : icu::ConstrainedFieldPosition
- getStartInYear() : icu::AnnualTimeZoneRule
- getStartTimeAt() : icu::TimeArrayTimeZoneRule
- getStartYear() : icu::AnnualTimeZoneRule
- getState64() : icu::BytesTrie, icu::UCharsTrie
- getStaticClassID() : icu::AnnualTimeZoneRule, icu::CanonicalIterator, icu::ChoiceFormat, icu::CollationElementIterator, icu::CollationKey, icu::CompactDecimalFormat, icu::CurrencyAmount, icu::CurrencyPluralInfo, icu::CurrencyUnit, icu::DateFormatSymbols, icu::DateInterval, icu::DateIntervalFormat, icu::DateIntervalInfo, icu::DateTimePatternGenerator, icu::DateTimeRule, icu::DecimalFormat, icu::DecimalFormatSymbols, icu::FieldPosition, icu::FontRuns, icu::Formattable, icu::GregorianCalendar, icu::InitialTimeZoneRule, icu::Locale, icu::LocaleRuns, icu::Measure, icu::MeasureFormat, icu::MeasureUnit, icu::MessageFormat, icu::Normalizer, icu::NumberFormat, icu::NumberingSystem, icu::ParagraphLayout, icu::ParagraphLayout::Line, icu::ParagraphLayout::VisualRun, icu::ParsePosition, icu::PluralFormat, icu::PluralRules, icu::RegexMatcher, icu::RegexPattern, icu::ResourceBundle, icu::RuleBasedBreakIterator, icu::RuleBasedCollator, icu::RuleBasedNumberFormat, icu::RuleBasedTimeZone, icu::RunArray, icu::SelectFormat, icu::SimpleDateFormat, icu::SimpleTimeZone, icu::StringCharacterIterator, icu::StringSearch, icu::TimeArrayTimeZoneRule, icu::TimeUnit, icu::TimeUnitAmount, icu::TimeUnitFormat, icu::TimeZone, icu::TimeZoneFormat, icu::TimeZoneTransition, icu::Transliterator, icu::UCharCharacterIterator, icu::UnicodeFilter, icu::UnicodeFunctor, icu::UnicodeSet, icu::UnicodeSetIterator, icu::UnicodeString, icu::ValueRuns, icu::VTimeZone
- getStone() : icu::MeasureUnit
- getStrength() : icu::Collator
- getString() : icu::BytesTrie::Iterator, icu::Formattable, icu::message2::Formattable, icu::message2::FormattedValue, icu::ResourceBundle, icu::UCharsTrie::Iterator, icu::UnicodeSetIterator
- getStringEx() : icu::ResourceBundle
- getSubstituteHandling() : icu::DisplayOptions
- getSubstring() : icu::MessagePattern
- getSubtype() : icu::MeasureUnit
- getSupportedIDs() : icu::CollatorFactory, icu::NumberFormatFactory, icu::SimpleNumberFormatFactory
- getSupportedIndex() : icu::LocaleMatcher::Result
- getSupportedLocale() : icu::LocaleMatcher::Result
- getSymbol() : icu::DecimalFormatSymbols
- getTablespoon() : icu::MeasureUnit
- getTailoredSet() : icu::Collator, icu::RuleBasedCollator
- getTaiwan() : icu::Locale
- getTargetSet() : icu::Transliterator
- getTeaspoon() : icu::MeasureUnit
- getTemporalMonthCode() : icu::Calendar
- getTerabit() : icu::MeasureUnit
- getTerabyte() : icu::MeasureUnit
- getTerminatedBuffer() : icu::UnicodeString
- getText() : icu::BreakIterator, icu::CharacterIterator, icu::Normalizer, icu::RuleBasedBreakIterator, icu::SearchIterator, icu::StringCharacterIterator, icu::UCharCharacterIterator
- getTextDirection() : icu::ParagraphLayout
- getTextWithNoArguments() : icu::SimpleFormatter
- getThermUs() : icu::MeasureUnit
- getTime() : icu::Calendar, icu::TimeZoneTransition
- getTimeInMillis() : icu::Calendar
- getTimeLimit() : icu::RegexMatcher
- getTimeRuleType() : icu::DateTimeRule
- getTimeSeparatorString() : icu::DateFormatSymbols
- getTimeType() : icu::TimeArrayTimeZoneRule
- getTimeUnit() : icu::TimeUnitAmount
- getTimeUnitField() : icu::TimeUnit, icu::TimeUnitAmount
- getTimeZone() : icu::Calendar, icu::DateFormat, icu::DateIntervalFormat
- getTimeZoneDisplayName() : icu::TimeZoneNames
- getTimeZoneFormat() : icu::SimpleDateFormat
- getTimeZoneIDAt() : icu::TimeZoneNames::MatchInfoCollection
- getTimeZoneNames() : icu::TimeZoneFormat
- getTimeZoneRules() : icu::BasicTimeZone, icu::RuleBasedTimeZone, icu::SimpleTimeZone, icu::VTimeZone
- getTimeZoneRulesAfter() : icu::BasicTimeZone
- getTo() : icu::TimeZoneTransition
- getToDate() : icu::DateInterval
- getTon() : icu::MeasureUnit
- getTonne() : icu::MeasureUnit
- getTraditionalChinese() : icu::Locale
- getType() : icu::Calendar, icu::Formattable, icu::GregorianCalendar, icu::MeasureUnit, icu::message2::Formattable, icu::MessagePattern::Part, icu::Region, icu::ResourceBundle
- getTZDataVersion() : icu::TimeZone
- getTZURL() : icu::VTimeZone
- getUInt() : icu::ResourceBundle
- getUK() : icu::Locale
- getUMode() : icu::Normalizer
- getUnderflowLabel() : icu::AlphabeticIndex
- getUnicodeKeywords() : icu::Locale
- getUnicodeKeywordValue() : icu::Locale
- getUniqueKeywordValue() : icu::PluralRules
- getUnit() : icu::Measure
- getUnitDisplayName() : icu::MeasureFormat
- getUnknown() : icu::TimeZone
- getUS() : icu::Locale
- getUText() : icu::BreakIterator, icu::RuleBasedBreakIterator
- getValue() : icu::BytesTrie, icu::BytesTrie::Iterator, icu::message2::data_model::Binding, icu::message2::data_model::Option, icu::MessagePattern::Part, icu::UCharsTrie, icu::UCharsTrie::Iterator, icu::ValueRuns
- getVariable() : icu::message2::data_model::Binding
- getVariableTop() : icu::Collator, icu::RuleBasedCollator
- getVariant() : icu::Locale
- getVariants() : icu::message2::MFDataModel
- getVersion() : icu::Collator, icu::ResourceBundle, icu::RuleBasedCollator
- getVersionNumber() : icu::ResourceBundle
- getVisualRun() : icu::ParagraphLayout::Line
- getVolt() : icu::MeasureUnit
- getWatt() : icu::MeasureUnit
- getWeek() : icu::MeasureUnit
- getWeekdays() : icu::DateFormatSymbols
- getWeekendTransition() : icu::Calendar
- getWeekPerson() : icu::MeasureUnit
- getWidth() : icu::ParagraphLayout::Line
- getWindowsID() : icu::TimeZone
- getWithFallback() : icu::ResourceBundle
- getYard() : icu::MeasureUnit
- getYear() : icu::MeasureUnit
- getYearNames() : icu::DateFormatSymbols
- getYearPerson() : icu::MeasureUnit
- getZodiacNames() : icu::DateFormatSymbols
- getZoneStrings() : icu::DateFormatSymbols
- greater() : icu::Collator
- greater_equal() : icu::Collator
- greaterOrEqual() : icu::Collator
- GregorianCalendar() : icu::GregorianCalendar
- group() : icu::RegexMatcher
- groupCount() : icu::RegexMatcher
- Grouper() : icu::number::impl::Grouper
- grouping() : icu::number::NumberFormatterSettings< Derived >
- groupNumberFromName() : icu::RegexPattern
- grow() : icu::FontRuns, icu::LocaleRuns, icu::RunArray, icu::ValueRuns